<?php

/*********************************************************************************
 * The content of this file is subject to the ITS4YouKanbanView license.
 * ("License"); You may not use this file except in compliance with the License
 * The Initial Developer of the Original Code is IT-Solutions4You s.r.o.
 * Portions created by IT-Solutions4You s.r.o. are Copyright(C) IT-Solutions4You s.r.o.
 * All Rights Reserved.
 ********************************************************************************/

class ITS4YouKanbanView_ModuleSettings_Model extends Vtiger_Base_Model
{
    private $moduleName;

    private $fieldId;

    private $userId;

    private $picklistValues;

    /**
     * @param string $moduleName
     * @param int $fieldId
     * @param int $userId
     * @param array $picklistValues
     */
    public function __construct($moduleName, $fieldId, $userId, $picklistValues)
    {
        $this->moduleName = $moduleName;
        $this->fieldId = $fieldId;
        $this->userId = $userId;
        $this->picklistValues = $picklistValues;
        parent::__construct(array());
    }

    /**
     * @return string
     */
    public function getModuleName()
    {
        return $this->moduleName;
    }

    /**
     * @return int
     */
    public function getFieldId()
    {
        return $this->fieldId;
    }

    /**
     * @return int
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @return array
     */
    public function getPicklistValues()
    {
        return $this->picklistValues;
    }
}